Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# Common/vtkTimerLog.h File Reference

`#include "vtkObject.h"`
`#include <time.h>`
`#include <sys/time.h>`
`#include <sys/types.h>`
`#include <sys/times.h>`
`#include <unistd.h>`

Include dependency graph for vtkTimerLog.h:

Go to the source code of this file.

## Compounds

struct | vtkTimerLogEntry
class | vtkTimerLog
| Timer support and logging. More...

## Defines

#define | SELECT_MASK fd_set
#define | VTK_LOG_EVENT_LENGTH 40
#define | vtkTimerLogMacro(string)

## Define Documentation

#define SELECT_MASK fd_set

| Definition at line 73 of file vtkTimerLog.h.

#define VTK_LOG_EVENT_LENGTH 40

| Definition at line 86 of file vtkTimerLog.h.

#define vtkTimerLogMacro | ( | string |  | ) |

Value:

    { \
          vtkTimerLog::FormatAndMarkEvent("Mark: In %s, line %d, class %s: %s", \
                                  __FILE__, __LINE__, this->GetClassName(), string); \
      }

Definition at line 230 of file vtkTimerLog.h.